### Class

# Ggit DiffFormatEmailOptions

#### Description

    class Ggit.DiffFormatEmailOptions : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### ggit_diff_format_email_options_new

Create a new checkout options object.

#### Instance methods

###### ggit_diff_format_email_options_get_author

Get the author.

###### ggit_diff_format_email_options_get_body

Get the body.

###### ggit_diff_format_email_options_get_flags

Get the flags.

###### ggit_diff_format_email_options_get_id

Get the object id.

###### ggit_diff_format_email_options_get_patch_number

Get the patch number.

###### ggit_diff_format_email_options_get_summary

Get the summary.

###### ggit_diff_format_email_options_get_total_patches

Get the total number of patches.

###### ggit_diff_format_email_options_set_author

Set the author.

###### ggit_diff_format_email_options_set_body

Set the body.

###### ggit_diff_format_email_options_set_flags

Set the flags.

###### ggit_diff_format_email_options_set_id

Set the object id.

###### ggit_diff_format_email_options_set_patch_number

Set the patch number.

###### ggit_diff_format_email_options_set_summary

Set the summary.

###### ggit_diff_format_email_options_set_total_patches

Set the total number of patches.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ggit.DiffFormatEmailOptions:author

No description available.

###### Ggit.DiffFormatEmailOptions:body

No description available.

###### Ggit.DiffFormatEmailOptions:flags

No description available.

###### Ggit.DiffFormatEmailOptions:id

No description available.

###### Ggit.DiffFormatEmailOptions:patch-number

No description available.

###### Ggit.DiffFormatEmailOptions:summary

No description available.

###### Ggit.DiffFormatEmailOptions:total-patches

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GgitDiffFormatEmailOptionsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.